@Filename: UrtWr.s
@Part: ADuC702x.
@Created: 20/04/2004
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ UrtWr==========UART data write.
@ C Function prototype: int UrtWr(int iTx)@
@iTx:{}
@ Description of Function: Writes 8 bits of iTx to the UART 
@   for transmission.
@ User interface:
@   Put value to send in iTx.
@   Call UrtWr will output iTx if TX registers not full already.
@   Returns 1 if successful or 0 if TX registers full already:
@ Robustness:
@   UART must be configured before writing data.
@   Does not wait if UART full.
@ Side effects: Corrupts r1 and r3.

.GlOBAL UrtWr
UrtWr:
        mov     r3,#0xff0000            @r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r1,[r3,#COMSTA0_OFFSET]
        ands    r1,r1,#0x040            @if(COMSTA.6) 
        strne   r0,[r3,#COMTX_OFFSET]   @ { COMTX = iTx@ r0 = 1@ }
        movne   r0,#1
        moveq   r0,#0                   @else r0 = 0;
        bx      lr
